Bug 139450 - System hangs with oops in XFS
System hangs with oops in XFS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 19:39 EST by Richard Bonomo
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-04 13:55:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Bonomo 2004-11-15 19:39:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/85.8.2 
(KHTML, like Gecko) Safari/85

Description of problem:
This hang ocurred on a newly upgraded kernel during an xfsdump.  The same type
of failure was occurring frequently with kernel 2.6.8-1.521.

Log snippet (not long):

Nov 15 18:01:22 bob kernel: Unable to handle kernel NULL pointer dereference at 
virtual address 000001d8
Nov 15 18:01:22 bob kernel:  printing eip:
Nov 15 18:01:22 bob kernel: 429cce4d
Nov 15 18:01:22 bob kernel: *pde = 00000000
Nov 15 18:01:22 bob kernel: Oops: 0000 [#1]
Nov 15 18:01:22 bob kernel: Modules linked in: nfsd exportfs lockd md5 ipv6 
parport_pc lp parport autofs4 sunrpc e1000 floppy sg sr_mod mic
rocode st dm_mod uhci_hcd ehci_hcd button battery ac xfs gdth aic79xx sd_mod 
scsi_mod
Nov 15 18:01:22 bob kernel: CPU:    0
Nov 15 18:01:22 bob kernel: EIP:    0060:[<429cce4d>]    Not tainted VLI
Nov 15 18:01:22 bob kernel: EFLAGS: 00010212   (2.6.9-1.667) 
Nov 15 18:01:22 bob kernel: EIP is at xfs_inactive_free_eofblocks+0x13/0x210 [xfs]
Nov 15 18:01:22 bob kernel: eax: 00000000   ebx: 00000000   ecx: 00000001   edx: 
0906902c
Nov 15 18:01:22 bob kernel: esi: 00000000   edi: 0906902c   ebp: 00000000   esp: 
41c2ae58
Nov 15 18:01:22 bob kernel: ds: 007b   es: 007b   ss: 0068
Nov 15 18:01:22 bob kernel: Process kswapd0 (pid: 46, threadinfo=41c2a000 
task=39ede0b0)
Nov 15 18:01:22 bob kernel: Stack: 429db04d 00000000 0906902c 
00000000 41c2aec0 00000001 00000001 00000000 
Nov 15 18:01:22 bob kernel:        fffffffe ffffffff ffffffff 
00000000 00000000 030091e0 0cc9ed80 00000000 
Nov 15 18:01:22 bob kernel:        0906902c 
00000000 429cd6e9 41839090 41839090 159f842c 41c2af04 0000003a 
Nov 15 18:01:22 bob kernel: Call Trace:
Nov 15 18:01:22 bob kernel:  [<429db04d>] vn_purge+0x2c6/0x2ce [xfs]
Nov 15 18:01:22 bob kernel:  [<429cd6e9>] xfs_inactive+0x118/0x3e9 [xfs]
Nov 15 18:01:22 bob kernel:  [<429db231>] vn_rele+0xf7/0x1f7 [xfs]
Nov 15 18:01:22 bob kernel:  [<429d984d>] linvfs_clear_inode+0x0/0x19 [xfs]
Nov 15 18:01:22 bob kernel:  [<429d985c>] linvfs_clear_inode+0xf/0x19 [xfs]
Nov 15 18:01:22 bob kernel:  [<021836f5>] clear_inode+0xcc/0xf8
Nov 15 18:01:22 bob kernel:  [<02183768>] dispose_list+0x47/0x15c
Nov 15 18:01:22 bob kernel:  [<02183e94>] prune_icache+0x361/0x39e
Nov 15 18:01:22 bob kernel:  [<02183ee9>] shrink_icache_memory+0x18/0x2f
Nov 15 18:01:22 bob kernel:  [<0214dc6f>] shrink_slab+0xf7/0x14c
Nov 15 18:01:22 bob kernel:  [<0214f3f0>] balance_pgdat+0x191/0x249
Nov 15 18:01:22 bob kernel:  [<0214f561>] kswapd+0xb9/0xbb
Nov 15 18:01:22 bob kernel:  [<0211cf5b>] autoremove_wake_function+0x0/0x2d
Nov 15 18:01:22 bob kernel:  [<0211cf5b>] autoremove_wake_function+0x0/0x2d
Nov 15 18:01:22 bob kernel:  [<0214f4a8>] kswapd+0x0/0xbb
Nov 15 18:01:22 bob kernel:  [<021041d9>] kernel_thread_helper+0x5/0xb
Nov 15 18:01:22 bob kernel: Code: ff 89 c7 ba 04 00 00 00 89 d8 e8 5d 30 fe ff 89 
fa 5b 89 d0 5e 5f 5d c3 55 57 56 53 83 ec 38 89 44 24 0c 
8b 5c 24 0c 89 54 24 08 <8b> 80 d8 01 00 00 31 d2 89 54 24 04 8b 4c 24 08 89 
d5 8b 54 24 
Nov 15 18:11:09 bob syslogd 1.4.1: restart.


Version-Release number of selected component (if applicable):
Kernel 2.6.9-1.667

How reproducible:
Sometimes

Steps to Reproduce:
1. may occur at random.  Most frequently while running xfsdump
2.
3.
    

Additional info:
Comment 1 Dave Jones 2005-07-15 16:44:05 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Richard Bonomo 2005-07-15 17:18:39 EDT
I believe this problem disappeared when I upgraded to FC3, or with an update that came
shortly thereafter.  We are currently running 2.6.11-1.27_FC3 #1 and have not seen this
problem with this kenel, I am happy to say.  (I THINK I initially got around this problem for
a time by producing a hyrid kernel using a patch supplied by Christoff, as I could not let such
a serious thing "go" for so long, but this hybrid kernel has not been needed since the upgrade.

I meant to put the initial priority higher when reporting this bug.

Note You need to log in before you can comment on or make changes to this bug.